@REM =====================================================================
@REM USER SETTINGS
@set TEMPVERS=03
@set TEMPVCV=vc9
@REM =====================================================================
@REM set TEMPVERS=01 - 20080916 - now lpng1232, OSG version, and alut, remove OpenAL
@echo Make ZIP files ... FG CVS OSG %TEMPVCV% ... Version %TEMPVERS% ...

@echo Can use genslnlist.pl to generate a slnlist.txt if changes have occurred
@echo Can use chkslnlist.bat to check each item in slnlist.txt exists ...
@set TEMP2=slnlist.txt
@set TEMP4=zipsln.bat

@echo Use list from cfglist.txt ... make sure it is correct ... now only SG and FG configs ...
@set TEMP3=zipcfg.bat

@REM just zipping the bin folder
@set TEMP5=ziprt.bat

@REM just zipping the bin\bats folder
@set TEMP6=zipbats.bat

@echo ARE THERE ANY CHANGES?
@echo Batch diffall.bat can be used to get the diff -ur, and write chgdiff.txt 
@echo IFF diff and fixf32 in PATH, and per my folders ...
@echo chglist.txt should contain the files FIXED during the build
@set TEMP7=zipchg.bat
@echo DELETE chglist.txt IF THERE IS NO CHANGES
@set TEMP8=chglist.txt

@set TEMP9=README.fgfs.htm
@set TEMPZ1=fg%TEMPVCV%rt%TEMPVERS%.zip
@set TEMPZ2=rfgbats%TEMPVERS%.zip
@set TEMPZ3=%TEMPVCV%cfg%TEMPVERS%.zip
@set TEMPZ4=%TEMPVCV%chg%TEMPVERS%.zip
@set TEMPZ5=%TEMPVCV%sln%TEMPVERS%.zip
@if NOT EXIST %TEMP2% goto ERR2
@if NOT EXIST %TEMP3% goto ERR3
@if NOT EXIST %TEMP4% goto ERR4
@if NOT EXIST %TEMP5% goto ERR5
@if NOT EXIST %TEMP6% goto ERR6
@if NOT EXIST %TEMP7% goto ERR7
@if NOT EXIST %TEMP8% goto DNCHG1
@echo Including %TEMP8% CHANGES ...
:DNCHG1
@if NOT EXIST %TEMP9% goto ERR9
@if NOT EXIST C:\MDOS\clobnow.bat goto NOCLOB
call clobnow > nul
@echo Done cleanup of any temp*, *.bak, etc ...
@goto DNCLOB
:NOCLOB
@echo Have you checked all 'temp' files have been removed?
:DNCLOB
@echo Continue? Ctrl+C to abort ...
@pause
@echo.
@echo ************************************************
@echo LAST CHANCE! Is everything ready to create zips?
@if EXIST *.zip @echo Previous ZIPS will be deleted ...
@echo ************************************************
@echo.
@pause

@if EXIST *.zip echo Removing previous zips 
@if EXIST *.zip del *.zip > nul

call zip8 -a -o %TEMPZ5% %TEMP9%
@if NOT EXIST %TEMPZ5% goto NOZIP5
call %TEMP5%
@if NOT EXIST %TEMPZ1% goto NOZIP1
call %TEMP6%
@if NOT EXIST %TEMPZ2% goto NOZIP2
call %TEMP3%
@if NOT EXIST %TEMPZ3% goto NOZIP3
@if NOT EXIST %TEMP8% goto DNCHG2
@call %TEMP7%
@if NOT EXIST %TEMPZ4% goto NOZIP4
:DNCHG2
call %TEMP4%
@if NOT EXIST %TEMPZ5% goto NOZIP5
@REM Add in additional files in the ROOT
call zip8 -a -o %TEMPZ5% %TEMPZ2% %TEMPZ3% %TEMPZ4% *.bat *.txt *.mak *.pl
@if EXIST %TEMPZ2% del %TEMPZ2% 
@if EXIST %TEMPZ3% del %TEMPZ3%
@if EXIST %TEMPZ4% del %TEMPZ4%
dir *.zip
@REM call zip8 -vb %TEMPZ1%
@REM call zip8 -vb %TEMPZ5%

@REM Abandon NET save ...
@goto END

@if "%COMPUTERNAME%x" == "DELL02x" goto DODELL02
savetod2 %TEMPZ1%
savetod2 %TEMPZ5%
@goto END
:DODELL02
savetod1 %TEMPZ1%
savetod1 %TEMPZ5%
@goto END

:NOZIP1
@echo Unable to create %TEMPZ1% ... aborting
@goto END
:NOZIP2
@echo Unable to create %TEMPZ2% ... aborting
@goto END
:NOZIP3
@echo Unable to create %TEMPZ3% ... aborting
@goto END
:NOZIP4
@echo Unable to create %TEMPZ4% ... aborting
@goto END
:NOZIP5
@echo Unable to create %TEMPZ5% ... aborting
@goto END

:ERR2
@echo Unable to locate %TEMP2% ... aborting ...
@goto END
:ERR3
@echo Unable to locate %TEMP3% ... aborting ...
@goto END
:ERR4
@echo Unable to locate %TEMP4% ... aborting ...
@goto END
:ERR5
@echo Unable to locate %TEMP5% ... aborting ...
@goto END
:ERR6
@echo Unable to locate %TEMP6% ... aborting ...
@goto END
:ERR7
@echo Unable to locate %TEMP7% ... aborting ...
@goto END
:ERR8
@echo Unable to locate %TEMP8% ... aborting ...
@goto END
:ERR9
@echo Unable to locate %TEMP9% ... aborting ...
@goto END


:END
